
#include <vector>
#include <iostream>

int main(int, char**)
{
    std::vector<int> a {10,20,30,40};

    /// c++ 03 iteration over an iterable structure.
    std::vector<int>::iterator it=a.begin();
    std::vector<int>::iterator end=a.end();
    for(;it!=end;++it)
        std::cout << "value: " << *it << std::endl;


    /// c++11 iteration over an iterable structure
    for(auto i : a)
        std::cout << "value: " << i << std::endl;
}
